import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class Label here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Label  extends Actor
{
    protected GreenfootImage img;
    private Color clr;
    private String lbl;
    
    public Label(String str){
        
        this(str, Color.BLACK);
        
    }
    
    public Label(String str, Color color) {
        
        setLabel(str);
        lbl = str;
        clr = color;
        
    }
    
    public void setLabel(String str) {
        
        lbl = str;
        img = new GreenfootImage(str.length()*20,20);
        img.setColor(clr);
        img.drawString(str,10,10);
        setImage(img);
        
    }
    
    protected void resetLabel() { setLabel(lbl); }
    
    public String getLabel() { return lbl; }
    
    public void setColor(Color color) {
        
        clr = color;
        resetLabel();
        
    }
    
}
