import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
import java.awt.Color;

/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MyWorld  extends World
{

    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    
    Label label = new Label("Score: 0", Color.WHITE);
    Player player = new Player(label);
    
    public MyWorld()
    {    
        // Create a new world with 20x20 cells with a cell size of 10x10 pixels.
        super(800,600,1);
        
        addObject(label, 100, 100);
        addObject(player, getWidth()/2, getHeight()/2);
        createEnemies(1);
        
    }
    
    public void createEnemies(int no)
    {
        if(!(no < 1))
        {
            int i = 0;
            do
            {
                addObject(new Enemy(player),getWidth(),(int) (Math.random() * getHeight()));
                i++;
            }
            while(i < no);
        }   
        
    }
    
    public void gameOver() {
        
        removeAllActors();
        addObject(label, getWidth()/2, getHeight()/2);
        Greenfoot.stop();
        
    }
    
    public void removeAllActors() {
        
        removeObjects(getObjects(Actor.class));
        player = null;
        
    }
    
}
