import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class Player here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Player  extends Mover
{
    
    private int speed = 0;
    private long time = 0;
    private int score = 0;
    protected Label scorel;
    private boolean firstActCalled = false;
    
    public Player() {
        
        this(new Label("Score: 0"));
        
    }
    
    public Player(Label lbl) {
        
        setRotation(-90);
        scorel = lbl;
        time = 0;
        
    }
    
    public void act() 
    {
        startTimeCheck();
        checkKeys();
        checkEnemy();
        
        if (System.currentTimeMillis() - time >= 1000)
        {
            accumalateScore();
            time = System.currentTimeMillis();
        }
        
        firstActCalled = true;
        
    }
    
    private void startTimeCheck() {
        
        if(!firstActCalled)
            time = System.currentTimeMillis();
        
    }
    
    /**
     * 
     * Adds the score by whatever you place
     * 
     */
    
    public void accumalateScore(int add) {
        
        score += add;
        scorel.setLabel("Score: " + score);
        
    }
    
    /**
     * 
     * Adds the score by 1
     * 
     */
    public void accumalateScore() {
        
        accumalateScore(1);
        
    }
    
    public void checkKeys()
    {
        if (Greenfoot.isKeyDown("up"))
        {
            speed++;
            if (speed>10)
            {
                speed = 10;
            }
        }
        else
        {
            speed--;
            if (speed<0)
            {
                speed = 0;
            }
        }
        
        move(speed);
        
        if (Greenfoot.isKeyDown("left"))
        {
            turn(-5);
        }
        
        if (Greenfoot.isKeyDown("right"))
        {
            turn(5);
        }

    }
    
    public void checkEnemy() {
        
        if(touchingEnemy()) {
            
            MyWorld w = (MyWorld)(getWorld());
            w.gameOver();
            
        }
        
    }
    
    public boolean touchingEnemy()
    {
        Actor enemy = getOneIntersectingObject(Enemy.class);
        return (enemy != null);
        
    }
    
    public int getScore() { return score; }
    
}
